petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetMaxTime

Gets the maximum (or final) time for timestepping.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetMaxTime(TS ts,PetscReal *maxtime)

Not Collective

### Input Parameters

ts -the TS context obtained from TSCreate()

### Output Parameter

maxtime -final time to step to

### Keywords

TS, timestep, get, maximum, time

### See Also

TSSetMaxTime(), TSGetMaxSteps(), TSSetMaxSteps()

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex16.c.html
src/ts/examples/tutorials/ex19.c.html
src/ts/examples/tutorials/ex20.c.html
src/ts/examples/tutorials/ex16adj.c.html
src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages